import request from '@/utils/request'

// 查询补贴扣减列表
export function listButie(query) {
  return request({
    url: '/pay/butie/list',
    method: 'get',
    params: query
  })
}

// 查询补贴扣减详细
export function getButie(id) {
  return request({
    url: '/pay/butie/' + id,
    method: 'get'
  })
}

// 新增补贴扣减
export function addButie(data) {
  return request({
    url: '/pay/butie',
    method: 'post',
    data: data
  })
}

// 修改补贴扣减
export function updateButie(data) {
  return request({
    url: '/pay/butie',
    method: 'put',
    data: data
  })
}

// 删除补贴扣减
export function delButie(id) {
  return request({
    url: '/pay/butie/' + id,
    method: 'delete'
  })
}
